Retrieve a single task
curl --request GET \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/recommended-actions/{result_id}/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"recommended_action_result_id": "<string>",
"brief_template_id": "<string>",
"brief_body": "",
"sort_order": 0,
"created_at": "2023-11-07T05:31:56Z"
}Recommended Action Result Task
Retrieve a single task
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
recommended-actions
/
{result_id}
/
tasks
/
{id}
Retrieve a single task
Authorizations
Path Parameters
Task identifier
Organization identifier
Recommended action result identifier
Workspace identifier
Response
Task detail
Task UUID
Short imperative task name
Briefing context for this task
Parent recommended action result UUID
Brief template UUID (set by users)
Generated brief body
Display order within the recommendation
Creation timestamp
Was this page helpful?
⌘I